GetPlayer = GLOBAL.GetPlayer
local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS

PrefabFiles = {
	"sgn"

}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/sgn.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/sgn.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/sgn.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/sgn.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/sgn_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/sgn_silho.xml" ),

    Asset( "IMAGE", "bigportraits/sgn.tex" ),
    Asset( "ATLAS", "bigportraits/sgn.xml" ),
	
	Asset("SOUNDPACKAGE", "sound/sgn.fev"),
    Asset("SOUND", "sound/sgn.fsb"),
	
	Asset( "ATLAS", "images/sgn.xml"),
	Asset( "IMAGE", "images/sgn.tex"),
}

RemapSoundEvent( "dontstarve/characters/sgn/death_voice", "sgn/characters/sgn/death_voice" )
RemapSoundEvent( "dontstarve/characters/sgn/hurt", "sgn/characters/sgn/hurt" )
RemapSoundEvent( "dontstarve/characters/sgn/talk_LP", "sgn/characters/sgn/talk_LP" )
AddMinimapAtlas("images/sgn.xml")

table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "sgn")

GLOBAL.STRINGS.CHARACTER_TITLES.sgn = "The Gentleman Scientist"
GLOBAL.STRINGS.CHARACTER_NAMES.sgn = "Wilson"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.sgn = "*Grows a magnificent beard. And when going crazy, is beginning to see in the dark"
GLOBAL.STRINGS.CHARACTER_QUOTES.sgn = "\"I will conquer it all with the power of my MIND!\""



AddModCharacter("sgn")

